package staffrepository

import (
	"legalgo-BE-go/database"
	authdomain "legalgo-BE-go/internal/domain/auth"
)

type StaffRepository struct {
	DB *database.DB
}

type StaffIntf interface {
	GetStaffByEmail(string) (*authdomain.Staff, error)
	GetStaffByID(string) (*authdomain.Staff, error)
	Create(*authdomain.Staff) (*authdomain.Staff, error)
	Update(authdomain.Staff) error
}

func New(db *database.DB) StaffIntf {
	return &StaffRepository{db}
}
